=== backup/DD-WRT/src/router/iptables-p2p-0.3.0/Makefile ===
# $Id: Makefile,v 1.6 2004/02/12 04:46:05 jasta Exp $
###############################################################################

KV = $(shell uname -r | cut -d. -f1-2)

ifeq ($(KV), 2.6)
	TARGET=linux-2.6
else
	TARGET=linux-2.4
endif

all: $(TARGET)

linux-2.4:
	$(MAKE) -C iptables
	$(MAKE) -C kernel linux-2.4

linux-2.6:
	$(MAKE) -C iptables
	$(MAKE) -C kernel linux-2.6

.PHONY: clean

clean:
	$(MAKE) -C iptables $@
	$(MAKE) -C kernel $@
